Bug 705319 - Review Request: sombok - Unicode Text Segmentation Package
Summary: Review Request: sombok - Unicode Text Segmentation Package
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 705372
TreeView+ depends on / blocked
 
Reported: 2011-05-17 11:18 UTC by Xavier Bachelot
Modified: 2011-08-23 20:29 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-07-27 19:34:18 UTC
susi.lehtola: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Xavier Bachelot 2011-05-17 11:18:49 UTC
Spec URL: http://www.bachelot.org/fedora/SPECS/sombok.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/sombok-2.0.5-1.fc14.src.rpm
Description:
Sombok library package performs Line Breaking Algorithm described in Unicode
Standards Annex #14 (UAX #14). East_Asian_Width informative properties defined
by Annex #11 (UAX #11) may be concerned to determine breaking positions. This
package also implements ``default'' Grapheme Cluster segmentation described in
Annex #29 (UAX #29).

Comment 1 Damian L Brasher 2011-07-25 16:35:21 UTC
Initial informal review:

$ rpmlint sombok-2.0.5-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint sombok.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Successfully compiled into binary rpms and installed.

Both: 
sombok-2.0.5-1.fc15.i686.rpm            
sombok-devel-2.0.5-1.fc15.i686.rpm

Damian

Comment 2 Veeti Paananen 2011-07-26 16:06:38 UTC
rpmlint output:

[veeti@veeti-pc result]$ rpmlint *.rpm
sombok.x86_64: E: incorrect-fsf-address /usr/share/doc/sombok-2.0.5/COPYING
sombok-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 1 warnings.

- Inform upstream about the FSF address.

--------------------

Informal review:

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review. OK

MUST: The package must be named according to the Package Naming Guidelines. OK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK

MUST: The package must meet the Packaging Guidelines. NEEDS WORK:

- The devel package's requirement for the base package needs to be in the format "Requires: %{name}%{?_isa} = %{version}-%{release}". (http://fedoraproject.org/wiki/Packaging/Guidelines#Requiring_Base_Package)

- The %files section could be a bit more explicit, since this package only contains a few files. For example, just use "libsombok.so.*" for the library files, "sombok*.h" for the headers.

- I don't think that the README.ja_JP file should be included in %doc.

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK

MUST: The spec file must be written in American English. OK

MUST: The spec file for the package MUST be legible. OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. OK:

[veeti@veeti-pc tmp]$ md5sum sombok*
af78a04e07998aedc12a841fa2b168d2  sombok-srpm.tar.gz
af78a04e07998aedc12a841fa2b168d2  sombok-upstream.tar.gz

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK

MUST: All build dependencies must be listed in BuildRequires. OK

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. N/A

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. OK

MUST: Packages must NOT bundle copies of system libraries. OK

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. N/A

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. OK

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. OK

MUST: Each package must consistently use macros. OK

MUST: The package must contain code, or permissable content. OK

MUST: Large documentation files must go in a -doc subpackage. N/A

MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK

MUST: Header files must be in a -devel package. OK

MUST: Static libraries must be in a -static package. N/A

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. OK

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}. NEEDS WORK (as mentioned above).

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built. OK

- find is unnecessary since there's only one .la file.

MUST: Packages containing GUI applications must include a %{name}.desktop file. N/A

MUST: Packages must not own files or directories already owned by other packages. OK

MUST: All filenames in rpm packages must be valid UTF-8. OK

EPEL:

rpm in EPEL5 and below does not automatically create dependencies for pkgconfig files. Packages containing pkgconfig(.pc) files must Requires: pkgconfig (for directory ownership and usability). NEEDS WORK


---------

Issues:

- The devel package's requirement for the base package needs to be in the format "Requires: %{name}%{?_isa} = %{version}-%{release}". (http://fedoraproject.org/wiki/Packaging/Guidelines#Requiring_Base_Package)

- The %files section could be a bit more explicit, since this package only contains a few files. For example, just use "libsombok.so.*" for the library files, "sombok*.h" for the headers.

- I don't think that the README.ja_JP file should be included in %doc.

- find is unnecessary since there's only one .la file.

- devel package needs to require pkgconfig for EPEL5.

Comment 3 Susi Lehtola 2011-07-26 18:50:15 UTC
I'm Veeti's sponsor, taking over.

Comment 4 Susi Lehtola 2011-07-26 19:06:10 UTC
If libthai is not available on EPEL-5, then please change the macro to
 %if 0%{?rhel} == 5
 BuildRequires:  libthai-devel
 %endif
which reflects the purpose a lot better. Using a single comparison operator and taking its negative is not very clean, since you can simply combine them to
 %if 0%{?rhel} == 0
or use
 %if 0%{?fedora} > 12
etc.

**

I guess ``default'' in the %description should just read "default".

**

rpmlint output:
$ rpmlint sombok-*
sombok.x86_64: E: incorrect-fsf-address /usr/share/doc/sombok-2.0.5/COPYING
sombok-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 1 warnings.

This is basically OK, but you should contact upstream and ask them to update COPYING to a current version.

**

Review:

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK

MUST: The spec file for the package is legible and macros are used consistently. NEEDSWORK
- Fix the macro as instructed above.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. OK
- Not all source files contain license headers, but README specifies license as GPLv2+.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
$ md5sum sombok-2.0.5.tar.gz ../SOURCES/sombok-2.0.5.tar.gz 
af78a04e07998aedc12a841fa2b168d2  sombok-2.0.5.tar.gz
af78a04e07998aedc12a841fa2b168d2  ../SOURCES/sombok-2.0.5.tar.gz

MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK

MUST: Large documentation files must go in a -doc subpackage. OK
- In principle doxygen documentation exists, but none is (or even can be) actually generated.
- This would go into -doc.

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
- I don't agree with Veeti. Since README is anyway included and it seems to hold the same information as README.ja_JP, I would include the latter one as well.

MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
EPEL: Clean section exists. OK
EPEL: Buildroot cleaned before install. OK

EPEL: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. NEEDSWORK
- You need to add Requires: pkgconfig if you want to ship for EPEL-4 or EPEL-5.

**

Please fix the macro and the quotation marks before import to GIT. This package has been

APPROVED

Comment 5 Susi Lehtola 2011-07-26 19:07:56 UTC
Please also address the following issues issues raised by Veeti before import to GIT:

- The devel package's requirement for the base package needs to be in the
format "Requires: %{name}%{?_isa} = %{version}-%{release}".
(http://fedoraproject.org/wiki/Packaging/Guidelines#Requiring_Base_Package)

- The %files section could be a bit more explicit, since this package only
contains a few files. For example, just use "libsombok.so.*" for the library
files, "sombok*.h" for the headers.

Comment 6 Susi Lehtola 2011-07-26 19:09:29 UTC
(In reply to comment #2)
> - find is unnecessary since there's only one .la file.

Yes, but find is also safer and easier to use.

Comment 7 Xavier Bachelot 2011-07-26 20:34:02 UTC
Thanks for the review Veeti and Jussi.

Updated spec and SRPMS, including all requested fixes :
http://www.bachelot.org/fedora/SPECS/sombok.spec
http://www.bachelot.org/fedora/SRPMS/sombok-2.0.5-2.fc15.src.rpm

Comment 8 Xavier Bachelot 2011-07-26 20:35:52 UTC
New Package SCM Request
=======================
Package Name: sombok
Short Description: Unicode Text Segmentation Package
Owners: xavierb
Branches: f15 el5 el6
InitialCC:

Comment 9 Gwyn Ciesla 2011-07-27 10:02:44 UTC
Git done (by process-git-requests).

Comment 10 Xavier Bachelot 2011-07-27 18:02:44 UTC
Package Change Request
======================
Package Name: sombok
New Branches: f16
Owners: xavierb


Looks like this package missed the f16 mass branching...

Comment 11 Gwyn Ciesla 2011-07-27 18:42:25 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-07-27 19:00:34 UTC
sombok-2.0.5-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/sombok-2.0.5-2.el5

Comment 13 Fedora Update System 2011-07-27 19:00:43 UTC
sombok-2.0.5-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sombok-2.0.5-2.fc15

Comment 14 Fedora Update System 2011-07-27 19:00:51 UTC
sombok-2.0.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sombok-2.0.5-2.el6

Comment 15 Fedora Update System 2011-07-27 19:00:59 UTC
sombok-2.0.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sombok-2.0.5-2.fc16

Comment 16 Fedora Update System 2011-08-09 01:33:52 UTC
sombok-2.0.5-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 17 Fedora Update System 2011-08-23 19:29:47 UTC
sombok-2.0.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2011-08-23 19:32:52 UTC
sombok-2.0.5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 19 Fedora Update System 2011-08-23 20:29:11 UTC
sombok-2.0.5-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.